python-osc-lib (2.8.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 21:10:38 +0000

python-osc-lib (2.8.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:51:51 -0400

python-osc-lib (2.8.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:03:11 -0400

python-osc-lib (2.7.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:03:06 -0500

python-osc-lib (2.6.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:08:22 -0400

python-osc-lib (2.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/fix-taghelps-py310.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:40:41 -0400

python-osc-lib (2.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/p/fix-taghelps-py310.patch: Cherry-picked from upstream to
    fix failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:43:27 -0500

python-osc-lib (2.4.2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:39:12 -0400

python-osc-lib (2.4.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:39:19 -0400

python-osc-lib (2.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:05:11 +0000

python-osc-lib (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 13:47:12 +0000

python-osc-lib (2.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:51 -0400

python-osc-lib (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:03:15 +0000

python-osc-lib (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:44:32 -0400

python-osc-lib (2.0.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Add autopkgtest-pkg-python.
    - d/control: Drop BD's on python-* packages.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:29:36 +0000

python-osc-lib (1.14.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:32:32 +0200

python-osc-lib (1.14.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 10:43:55 +0200

python-osc-lib (1.14.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:19:33 -0400

python-osc-lib (1.13.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:45:49 -0400

python-osc-lib (1.12.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 22:06:31 +0200

python-osc-lib (1.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-py37-issubclass.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 20:32:28 +0100

python-osc-lib (1.12.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-osc-lib binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 11:06:18 +0200

python-osc-lib (1.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:40:52 +0000

python-osc-lib (1.12.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.
  * d/p/fix-py37-issubclass.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 12:41:49 -0500

python-osc-lib (1.11.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 15:39:18 +0200

python-osc-lib (1.11.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building doc with Python 3.
  * Add fix-py37-issubclass.patch (taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 00:30:38 +0200

python-osc-lib (1.11.1-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.
  * d/p/fix-py37-issubclass.patch: Update and rework.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 08:45:04 +0100

python-osc-lib (1.11.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-py37-issubclass.patch: Cherry-picked from upstream master to fix
    py3.7 issubclass error "TypeError: issubclass() arg 1 must be a class".
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jul 2018 09:44:11 -0400

python-osc-lib (1.10.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 10:21:45 -0400

python-osc-lib (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:33 +0000

python-osc-lib (1.9.0-1) experimental; urgency=medium

  * Points VCS URLs to https://salsa.debian.org/openstack-team/.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 07:30:57 +0000

python-osc-lib (1.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 14:19:10 -0500

python-osc-lib (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:02:15 +0000

python-osc-lib (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 13:12:10 +0200

python-osc-lib (1.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:13:11 -0400

python-osc-lib (1.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 15 May 2017 18:05:39 +0100

python-osc-lib (1.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:01 +0100

python-osc-lib (1.3.0-0ubuntu1.2) zesty; urgency=medium

  * d/control: Drop python-bandit as it's not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 14:39:59 -0500

python-osc-lib (1.3.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 09:33:00 -0500

python-osc-lib (1.2.0-1ubuntu2) zesty; urgency=medium

  * debian/tests: Add autopkgtest 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Nov 2016 12:35:12 -0400

python-osc-lib (1.2.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Oct 2016 13:55:04 -0400

python-osc-lib (1.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed osltest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:39 +0200

python-osc-lib (1.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Blacklist failing tests:
    - TestShellCli.test_shell_args_cert_options
    - TestShellCli.test_shell_args_tls_options

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 17:06:53 +0200

python-osc-lib (1.1.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 13:42:52 -0400

python-osc-lib (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #830874)

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 15:05:46 +0200

